<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDipView</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDipView.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      This multi-function panel allows to browse the DIP hierarchy, view the
      subscribed publications and the published publications.
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">
      The header of the panel contains the button which allows the selection
      of the mode of operation (modes of operation will be explained below) and
      a selection box for selecting the DIP API manager config DP. Each DIP API
      manager uses a separate config.
      <p>
      <b>DIP Browser</b> is the simple interface allowing browsing of the DIP
      hierarchy. User may provide the starting address to start the browsing
      or leave the default blank - to start from the root of the hierarchy.
      After clicking the &quot;View&quot; button, either the DIP TreeBrowser
      or DIP publication contents panel are invoked. This depends whether
      the starting address was pointing to a branch node or to a leaf node.
      </p>
      <b>Subscribed Services</b> provides information about DIP items that the
      DIP API manager is currently being subscribed to. The view is being
      aggregated - the left part - contains the list of all the DIP items 
      (DIP publications) that the API manager is being subscribed to. The right
      part of the panel contains the table which provides information relevant
      to currently selected DIP item. It shows which dpes are being subscribed
      to which DIP publication fields, their datatype and the value (value
      is not updated dynamically).
      <p>
      <b>Published Services</b> provides information about the publications
      that are being published from within the WinCC OA by the DIP API manager.
      The view is being aggreagated - the left part - contains the list of all
      the publications that are being published. The right part of the panel
      contains the table which provides detailed information about currently
      selected publication. It shows which dpes are being published, under
      what tag, what is the datatype of the field and the value (value is
      not updated dynamically). If the publication contains only one field
      and the corresponding tag is empty - then the publication is a simple
      publication.
      </p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">
      The values of the dpes are not updated dynamically.
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">
        <div align="center">
          <img
 src="fwDipView1.PNG" alt="Panel screenshot" width="636" height="617"></div>
      </td>
    </tr>
    <tr>
      <td width="0" height="0">
        <div align="center"><BR>
          <img
 src="fwDipView2.PNG" alt="Panel screenshot" width="636" height="617"></div>
      </td>
    </tr>
    <tr>
      <td width="0" height="0">
        <div align="center"><BR>
          <img
 src="fwDipView3.PNG" alt="Panel screenshot" width="636" height="617"></div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>